create table bataille(bataille VARCHAR(10) not null,lieu VARCHAR(25),datcombat DATE,legions SMALLINT,issue SMALLINT,primary key(bataille)) ;
create table combattre(nom VARCHAR(30) not null,bataille VARCHAR(10) not null,casques SMALLINT,primary key(nom,bataille)) ;
create table fonction(libfonction VARCHAR(20) not null,agemini SMALLINT,agemaxi SMALLINT,primary key(libfonction)) ;
create table habitant(nom VARCHAR(30) not null,adresse VARCHAR(40),datnaiss DATE,libfonction VARCHAR(20),primary key(nom)) ;
create table manger(nom VARCHAR(30) not null,espece VARCHAR(20) not null,datachpoi DATE not null,nbkilo SMALLINT,primary key(nom,espece,datachpoi)) ;
create table menhir(nromen SMALLINT not null,hauteur SMALLINT,poids SMALLINT,prix NUMERIC(5,2),nom VARCHAR(30),datachmen DATE,prixvente NUMERIC(5,2),primary key(nromen)) ;
create table poisson(espece VARCHAR(20) not null,prixkilo NUMERIC(3,1),origine VARCHAR(1),primary key(espece)) ;
create table potion(nompotion VARCHAR(20) not null,primary key(nompotion)) ;
create table prendre(nom VARCHAR(30) not null,nompotion VARCHAR(20) not null,dateprise DATE not null,qtepotion NUMERIC(3,1),primary key(nom,nompotion,dateprise)) ;

alter table combattre add foreign key (bataille) references bataille(bataille);
alter table habitant add foreign key (libfonction) references fonction(libfonction);
alter table combattre add foreign key (nom) references habitant(nom);
alter table manger add foreign key (nom) references habitant(nom);
alter table menhir add foreign key (nom) references habitant(nom);
alter table prendre add foreign key (nom) references habitant(nom);
alter table manger add foreign key (espece) references poisson(espece);
alter table prendre add foreign key (nompotion) references potion(nompotion);

insert into fonction(libfonction,agemini,agemaxi) values('Druide',60,99);
insert into fonction(libfonction,agemini,agemaxi) values('Chef',40,65);
insert into fonction(libfonction,agemini,agemaxi) values('Guerrier',20,45);
insert into fonction(libfonction,agemini,agemaxi) values('Forgeron',25,60);
insert into fonction(libfonction,agemini,agemaxi) values('Barde',30,80);
insert into fonction(libfonction,agemini,agemaxi) values('Poissonnier',25,65);
insert into fonction(libfonction,agemini,agemaxi) values('Retraité',65,null);

insert into habitant(nom,adresse,datnaiss,libfonction) values('Astérix','grande rue','1963-2-19','Guerrier');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Obélix','rue de gergovie','1962-10-7','Guerrier');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Assurancetourix','grand chêne','1958-4-1','Barde');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Abraracourcix','mairie','1955-1-4','Chef');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Panoramix','grande hutte','2010-12-24','Druide');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Agecanonix','rue de gergovie','2000-1-10','Retraité');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Ordrealphabetix','rue des sangliers','1935-11-21','Poissonnier');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Cétautomatix','rue de gergovie','1956-6-15','Guerrier');
insert into habitant(nom,adresse,datnaiss,libfonction) values('Unix','grande rue','1966-9-28','Guerrier');

insert into bataille(bataille,lieu,datcombat,legions,issue) values('Baba01','Babaorum','1988-8-18',5,0);
insert into bataille(bataille,lieu,datcombat,legions,issue) values('Laud01','Baudanum','1985-5-15',4,0);

insert into poisson(espece,prixkilo,origine) values('Morue',2,'m');
insert into poisson(espece,prixkilo,origine) values('Hareng',1,'m');
insert into poisson(espece,prixkilo,origine) values('Truite',15,'o');

insert into potion(nompotion) values('Magique');
insert into potion(nompotion) values('Euphorisante');
insert into potion(nompotion) values('Soporifique');
insert into potion(nompotion) values('Calmante');

insert into combattre(nom,bataille,casques) values('Astérix','Baba01',20);
insert into combattre(nom,bataille,casques) values('Unix','Laud01',10);
insert into combattre(nom,bataille,casques) values('Cétautomatix','Laud01',20);
insert into combattre(nom,bataille,casques) values('Obélix','Baba01',70);
insert into combattre(nom,bataille,casques) values('Assurancetourix','Laud01',0);
insert into combattre(nom,bataille,casques) values('Astérix','Laud01',20);

insert into manger(nom,espece,datachpoi,nbkilo) values('Astérix','Morue','1991-10-12',1);
insert into manger(nom,espece,datachpoi,nbkilo) values('Obélix','Truite','1991-10-10',4);
insert into manger(nom,espece,datachpoi,nbkilo) values('Ordrealphabetix','Morue','1991-10-10',1);
insert into manger(nom,espece,datachpoi,nbkilo) values('Ordrealphabetix','Hareng','1991-10-5',8);
insert into manger(nom,espece,datachpoi,nbkilo) values('Obélix','Morue','1991-10-8',3);
insert into manger(nom,espece,datachpoi,nbkilo) values('Obélix','Morue','1991-10-10',7);

insert into prendre(nom,nompotion,dateprise,qtepotion) values('Abraracourcix','Euphorisante','1994-2-7',0.1);
insert into prendre(nom,nompotion,dateprise,qtepotion) values('Agecanonix','Soporifique','1994-2-7',1.5);
insert into prendre(nom,nompotion,dateprise,qtepotion) values('Abraracourcix','Euphorisante','1994-2-8',0.2);
insert into prendre(nom,nompotion,dateprise,qtepotion) values('Astérix','Magique','1994-2-8',0.5);
insert into prendre(nom,nompotion,dateprise,qtepotion) values('Obélix','Calmante','1994-2-8',1.5);
insert into prendre(nom,nompotion,dateprise,qtepotion) values('Astérix','Magique','1994-2-9',0.2);
insert into prendre(nom,nompotion,dateprise,qtepotion) values('Obélix','Magique','1994-2-10',1.5);

insert into menhir(nromen,hauteur,poids,prix,nom,datachmen,prixvente) values(8,4,10,88,'Astérix','1990-4-1',80);
insert into menhir(nromen,hauteur,poids,prix,nom,datachmen,prixvente) values(9,3,9,75,'Cétautomatix','1990-12-23',70);
insert into menhir(nromen,hauteur,poids,prix,nom,datachmen,prixvente) values(6,5,12,130,'Panoramix','1990-4-1',120);
insert into menhir(nromen,hauteur,poids,prix,nom,datachmen,prixvente) values(7,1,3,20,'Assurancetourix','1990-12-20',30);
insert into menhir(nromen,hauteur,poids,prix,nom,datachmen,prixvente) values(1,7,17,105,null,null,null);

